Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.bytecode.buildtime.spi
Interface Logger

All Known Implementing Classes:
  BasicInstrumentationTask.LoggerBridge

    public interface Logger

Provides an abstraction for how instrumentation does logging because it is usually run in environments (Ant/Maven) with their own logging infrastructure. This abstraction allows proper bridging.

Method Summary
`void` | `debug(String message)`
`void` | `error(String message)`
`void` | `info(String message)`
`void` | `trace(String message)`
`void` | `warn(String message)`

Method Detail

### trace

    void trace(String message)

### debug

    void debug(String message)

### info

    void info(String message)

### warn

    void warn(String message)

### error

    void error(String message)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.